Bug 737888 - Add-on content can be accessed with base server product not subscribed.
Add-on content can be accessed with base server product not subscribed.
Status: CLOSED NOTABUG
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
John Sefler
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-09-13 06:54 EDT by yu zheng
Modified: 2015-05-14 11:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-22 13:53:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description yu zheng 2011-09-13 06:54:39 EDT
Description of problem:
After subscribing an Add-on product(e.g. Red Hat Enterprise Linux Scalable File System(for RHEL Server)), the packages of the Add-on could be downloaded and installed, although there isn't any base server product subscribed.

Version-Release number of selected component (if applicable):
subscription-manager-0.96.9-1.el6.x86_64
python-rhsm-0.96.11-1.el6
candlepin (stage env)

How reproducible:
Always

setup:
edit /etc/rhsm/rhsm.conf
hostname = subscription.rhn.stage.redhat.com


Steps to Reproduce:
1. # ls /etc/pki/product/
69.pem
2. register to stage using stage_test_38/redhat 
3. subscribe to Scalable File System  
[root@localhost pki]# subscription-manager subscribe --pool=8a99f981308acf4201308ebb543b6935
Successfully subscribed the system to Pool 8a99f981308acf4201308ebb543b6935
4. list installed products
[root@localhost pki]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+

ProductName:            Red Hat Enterprise Linux Scalable File System (for RHEL Server)
Status:                 Not Installed
Expires:                06/14/2012
SerialNumber:           9086942616217777698
ContractNumber:         2394389
AccountNumber:          1465533


ProductName:            Red Hat Enterprise Linux 6 Server
Status:                 Not Subscribed
Expires:
SerialNumber:
ContractNumber:
AccountNumber:
5.list enabled repos
[root@localhost pki]# yum repolist
repo id                             repo name                                               status
rhel-scalefs-for-rhel-6-server-rpms Red Hat Enterprise Linux Scalable File System (for RHEL 7
repolist: 7
6.list available pkgs under the repo
[root@localhost pki]# repoquery -a --repoid=rhel-scalefs-for-rhel-6-server-rpms
xfsdump-0:3.0.4-2.el6.x86_64
xfsprogs-0:3.1.1-4.el6.i686
xfsprogs-0:3.1.1-4.el6.x86_64
xfsprogs-devel-0:3.1.1-4.el6.i686
xfsprogs-devel-0:3.1.1-4.el6.x86_64
xfsprogs-qa-devel-0:3.1.1-4.el6.i686
xfsprogs-qa-devel-0:3.1.1-4.el6.x86_64
7.install a pkg
[root@localhost pki]# yum install xfsdump-0:3.0.4-2.el6.x86_64
....
Complete!

Actual results:
The package of Scalable File System can be downloaded and installed successfully.

Expected results:
Consumer shouldn't have access to the content of Scalable File System add-on with no base server product subscribed.
Comment 5 Bryan Kearney 2011-09-22 13:53:46 EDT
Closing this BUG as it works as designed.

Note You need to log in before you can comment on or make changes to this bug.